Fetch Customer Details
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/customer/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/customer/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/customer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"id": "cus_abc123xyz456",
"object": "customer",
"created_at": "2025-10-13T14:30:00Z",
"name": "Andrew Robin",
"email": "andrew.robin@example.com",
"country": "US",
"phone": {
"calling_code": "1",
"number": "2025550183"
},
"billing_address": [
{
"name": "Andrew Robin",
"address": {
"line1": "123 Main Street",
"line2": "Apt 45B",
"city": "New York",
"state": "NY",
"country": "US",
"postal_code": "10001"
},
"phone": {
"calling_code": "1",
"number": "2125550199"
}
}
],
"shipping_address": [
{
"name": "Andrew Robin",
"address": {
"line1": "789 Broadway Avenue",
"line2": "Suite 500",
"city": "New York",
"state": "NY",
"country": "US",
"postal_code": "10003"
},
"phone": {
"calling_code": "1",
"number": "9175550132"
}
}
],
"metadata": {
"referral_code": "REF2025ABC"
},
"reference_id": "",
"risk_rule": "none"
}
}Customer
Fetch Customer Details
This endpoint fetches the details of an already existing customer
GET
/
v3
/
customer
/
{id}
Fetch Customer Details
Allows you to look up details of existing customers on Tazapay’s database with the customer id.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of an already existing customer object
Response
200 - application/json
200
Was this page helpful?
⌘I